<?php

namespace SabreSoap\StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for TransactionType StructType
 * Meta information extracted from the WSDL
 * - documentation: IntelliSell Type
 * @subpackage Structs
 */
class TransactionType extends AbstractStructBase
{
    /**
     * The RequestType
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var \SabreSoap\StructType\RequestType
     */
    public $RequestType;
    /**
     * The ServiceTag
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var \SabreSoap\StructType\ServiceTag
     */
    public $ServiceTag;
    /**
     * The PurchaseType
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var \SabreSoap\StructType\PurchaseType
     */
    public $PurchaseType;
    /**
     * The SabreAth
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var \SabreSoap\StructType\SabreAth
     */
    public $SabreAth;
    /**
     * The TranID
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var \SabreSoap\StructType\TranID
     */
    public $TranID;
    /**
     * The ClientSessionID
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var \SabreSoap\StructType\ClientSessionID
     */
    public $ClientSessionID;
    /**
     * The Branch
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var \SabreSoap\StructType\Branch
     */
    public $Branch;
    /**
     * The CompressResponse
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var \SabreSoap\StructType\CompressResponse
     */
    public $CompressResponse;
    /**
     * The FareOverrides
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var \SabreSoap\StructType\FareOverrides
     */
    public $FareOverrides;
    /**
     * The SubagentData
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var \SabreSoap\StructType\SubagentData
     */
    public $SubagentData;
    /**
     * The ResponseSorting
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var \SabreSoap\StructType\ResponseSorting
     */
    public $ResponseSorting;
    /**
     * Constructor method for TransactionType
     * @uses TransactionType::setRequestType()
     * @uses TransactionType::setServiceTag()
     * @uses TransactionType::setPurchaseType()
     * @uses TransactionType::setSabreAth()
     * @uses TransactionType::setTranID()
     * @uses TransactionType::setClientSessionID()
     * @uses TransactionType::setBranch()
     * @uses TransactionType::setCompressResponse()
     * @uses TransactionType::setFareOverrides()
     * @uses TransactionType::setSubagentData()
     * @uses TransactionType::setResponseSorting()
     * @param \SabreSoap\StructType\RequestType $requestType
     * @param \SabreSoap\StructType\ServiceTag $serviceTag
     * @param \SabreSoap\StructType\PurchaseType $purchaseType
     * @param \SabreSoap\StructType\SabreAth $sabreAth
     * @param \SabreSoap\StructType\TranID $tranID
     * @param \SabreSoap\StructType\ClientSessionID $clientSessionID
     * @param \SabreSoap\StructType\Branch $branch
     * @param \SabreSoap\StructType\CompressResponse $compressResponse
     * @param \SabreSoap\StructType\FareOverrides $fareOverrides
     * @param \SabreSoap\StructType\SubagentData $subagentData
     * @param \SabreSoap\StructType\ResponseSorting $responseSorting
     */
    public function __construct(\SabreSoap\StructType\RequestType $requestType = null, \SabreSoap\StructType\ServiceTag $serviceTag = null, \SabreSoap\StructType\PurchaseType $purchaseType = null, \SabreSoap\StructType\SabreAth $sabreAth = null, \SabreSoap\StructType\TranID $tranID = null, \SabreSoap\StructType\ClientSessionID $clientSessionID = null, \SabreSoap\StructType\Branch $branch = null, \SabreSoap\StructType\CompressResponse $compressResponse = null, \SabreSoap\StructType\FareOverrides $fareOverrides = null, \SabreSoap\StructType\SubagentData $subagentData = null, \SabreSoap\StructType\ResponseSorting $responseSorting = null)
    {
        $this
            ->setRequestType($requestType)
            ->setServiceTag($serviceTag)
            ->setPurchaseType($purchaseType)
            ->setSabreAth($sabreAth)
            ->setTranID($tranID)
            ->setClientSessionID($clientSessionID)
            ->setBranch($branch)
            ->setCompressResponse($compressResponse)
            ->setFareOverrides($fareOverrides)
            ->setSubagentData($subagentData)
            ->setResponseSorting($responseSorting);
    }
    /**
     * Get RequestType value
     * @return \SabreSoap\StructType\RequestType|null
     */
    public function getRequestType()
    {
        return $this->RequestType;
    }
    /**
     * Set RequestType value
     * @param \SabreSoap\StructType\RequestType $requestType
     * @return \SabreSoap\StructType\TransactionType
     */
    public function setRequestType(\SabreSoap\StructType\RequestType $requestType = null)
    {
        $this->RequestType = $requestType;
        return $this;
    }
    /**
     * Get ServiceTag value
     * @return \SabreSoap\StructType\ServiceTag|null
     */
    public function getServiceTag()
    {
        return $this->ServiceTag;
    }
    /**
     * Set ServiceTag value
     * @param \SabreSoap\StructType\ServiceTag $serviceTag
     * @return \SabreSoap\StructType\TransactionType
     */
    public function setServiceTag(\SabreSoap\StructType\ServiceTag $serviceTag = null)
    {
        $this->ServiceTag = $serviceTag;
        return $this;
    }
    /**
     * Get PurchaseType value
     * @return \SabreSoap\StructType\PurchaseType|null
     */
    public function getPurchaseType()
    {
        return $this->PurchaseType;
    }
    /**
     * Set PurchaseType value
     * @param \SabreSoap\StructType\PurchaseType $purchaseType
     * @return \SabreSoap\StructType\TransactionType
     */
    public function setPurchaseType(\SabreSoap\StructType\PurchaseType $purchaseType = null)
    {
        $this->PurchaseType = $purchaseType;
        return $this;
    }
    /**
     * Get SabreAth value
     * @return \SabreSoap\StructType\SabreAth|null
     */
    public function getSabreAth()
    {
        return $this->SabreAth;
    }
    /**
     * Set SabreAth value
     * @param \SabreSoap\StructType\SabreAth $sabreAth
     * @return \SabreSoap\StructType\TransactionType
     */
    public function setSabreAth(\SabreSoap\StructType\SabreAth $sabreAth = null)
    {
        $this->SabreAth = $sabreAth;
        return $this;
    }
    /**
     * Get TranID value
     * @return \SabreSoap\StructType\TranID|null
     */
    public function getTranID()
    {
        return $this->TranID;
    }
    /**
     * Set TranID value
     * @param \SabreSoap\StructType\TranID $tranID
     * @return \SabreSoap\StructType\TransactionType
     */
    public function setTranID(\SabreSoap\StructType\TranID $tranID = null)
    {
        $this->TranID = $tranID;
        return $this;
    }
    /**
     * Get ClientSessionID value
     * @return \SabreSoap\StructType\ClientSessionID|null
     */
    public function getClientSessionID()
    {
        return $this->ClientSessionID;
    }
    /**
     * Set ClientSessionID value
     * @param \SabreSoap\StructType\ClientSessionID $clientSessionID
     * @return \SabreSoap\StructType\TransactionType
     */
    public function setClientSessionID(\SabreSoap\StructType\ClientSessionID $clientSessionID = null)
    {
        $this->ClientSessionID = $clientSessionID;
        return $this;
    }
    /**
     * Get Branch value
     * @return \SabreSoap\StructType\Branch|null
     */
    public function getBranch()
    {
        return $this->Branch;
    }
    /**
     * Set Branch value
     * @param \SabreSoap\StructType\Branch $branch
     * @return \SabreSoap\StructType\TransactionType
     */
    public function setBranch(\SabreSoap\StructType\Branch $branch = null)
    {
        $this->Branch = $branch;
        return $this;
    }
    /**
     * Get CompressResponse value
     * @return \SabreSoap\StructType\CompressResponse|null
     */
    public function getCompressResponse()
    {
        return $this->CompressResponse;
    }
    /**
     * Set CompressResponse value
     * @param \SabreSoap\StructType\CompressResponse $compressResponse
     * @return \SabreSoap\StructType\TransactionType
     */
    public function setCompressResponse(\SabreSoap\StructType\CompressResponse $compressResponse = null)
    {
        $this->CompressResponse = $compressResponse;
        return $this;
    }
    /**
     * Get FareOverrides value
     * @return \SabreSoap\StructType\FareOverrides|null
     */
    public function getFareOverrides()
    {
        return $this->FareOverrides;
    }
    /**
     * Set FareOverrides value
     * @param \SabreSoap\StructType\FareOverrides $fareOverrides
     * @return \SabreSoap\StructType\TransactionType
     */
    public function setFareOverrides(\SabreSoap\StructType\FareOverrides $fareOverrides = null)
    {
        $this->FareOverrides = $fareOverrides;
        return $this;
    }
    /**
     * Get SubagentData value
     * @return \SabreSoap\StructType\SubagentData|null
     */
    public function getSubagentData()
    {
        return $this->SubagentData;
    }
    /**
     * Set SubagentData value
     * @param \SabreSoap\StructType\SubagentData $subagentData
     * @return \SabreSoap\StructType\TransactionType
     */
    public function setSubagentData(\SabreSoap\StructType\SubagentData $subagentData = null)
    {
        $this->SubagentData = $subagentData;
        return $this;
    }
    /**
     * Get ResponseSorting value
     * @return \SabreSoap\StructType\ResponseSorting|null
     */
    public function getResponseSorting()
    {
        return $this->ResponseSorting;
    }
    /**
     * Set ResponseSorting value
     * @param \SabreSoap\StructType\ResponseSorting $responseSorting
     * @return \SabreSoap\StructType\TransactionType
     */
    public function setResponseSorting(\SabreSoap\StructType\ResponseSorting $responseSorting = null)
    {
        $this->ResponseSorting = $responseSorting;
        return $this;
    }
}
